#!/bin/bash/

simulation_folder=/frenkelscratch/sc970/temperature_dependence
master_folder=/home/sc970/temperature_koda

count=0
stotica=4
desetica=5
enica=0

backup_folder=$stotica$desetica'0eqsim'$freq02'_'$Nchap_ratio'_eps'$eps_ratio
rm -r $simulation_folder'/'$backup_folder
mkdir -v $simulation_folder'/'$backup_folder
cp $master_folder'/'qsub_master.sh $master_folder'/'equilibration_simulations.sh $master_folder'/'input_master.in $master_folder'/kompiliranje/wmI_wIIkoda/'wmI_wII.c $simulation_folder'/'$backup_folder'/'

for temperature in 1.0
  do
for eps_ratio in 1.0;
  do
  for Nchap_ratio in 0.1 0.3 0.5 0.9 1.4 1.8 2.5 3.0 3.5
    do
    for MU in 4.08
      do
      for NSEED in 666;
        do
        for freq02 in 50000;
          do 
	  for chap_length in 3.0
	    do
	  for eps_chapchap in 0.0
	    do
	  for eps_monchap in 4.0
	    do
            let "count+=1"
                let "enica+=1"
                if [ $enica -eq 10 ]
                  then
                  let "desetica+=1"
                  let "enica=0"
                fi
                if [ $desetica -eq 10 ]
                  then
                  let "stotica+=1"
                  let "desetica=0"
                fi
                    ndir=$stotica$desetica$enica'eqsim'$freq02''$MU'_'$Nchap_ratio'_eps'$eps_ratio'_temp'$temperature

                    cd $simulation_folder
                      rm -r $ndir
                      mkdir -v $ndir
                    cd $master_folder
                      cat input_master.in | sed -e 's/freq02/'$freq02'/' | sed -e 's/MU/'$MU'/' | sed -e 's/Nchap_ratio/'$Nchap_ratio'/' | sed -e 's/NSEED/'$NSEED'/' | sed -e 's/eps_chap_fibril_ratio/'$eps_ratio'/' | sed -e 's/chap_Length/'$chap_length'/' | sed -e 's/TEMPERATURE/'$temperature'/' | sed -e 's/EPS_CHAPCHAP/'$eps_chapchap'/' | sed -e 's/EPS_MONCHAP/'$eps_monchap'/' > input_local.in
    	          	 if (( $(echo "$Nchap_ratio > 0.99" |bc -l) ))
                             then
                               cat qsub_master.sh | sed -e 's/JOBNAME11/eq'$stotica$desetica$enica'_'$MU'_'$temperature'/' | sed -e 's/LENGTH/h1/' | sed -e 's/HOURS/336/' > qsub_local.sh
                           elif (( $(echo "$Nchap_ratio >= 0.0" |bc -l) ))
                             then
                               cat qsub_master.sh | sed -e 's/JOBNAME11/eq'$stotica$desetica$enica'_'$MU'_'$temperature'/' | sed -e 's/LENGTH/l1/' | sed -e 's/HOURS/168/' > qsub_local.sh
                           else
                             echo "EROOOOORRRR!!!"
                           fi      
                      mv input_local.in qsub_local.sh $simulation_folder'/'$ndir
                      cp Temp.exe $simulation_folder'/'$ndir
                
                    cd $simulation_folder'/'$ndir
                      qsub qsub_local.sh
                    cd ..
	    done
	  done
	    done
	  done
        done
      done                  
    done
  done
done
