#!/bin/bash/

simulation_folder=/frenkelscratch/sc970/temperature_dependence
master_folder=/home/sc970/temperature_koda

count=0
stotica=0
desetica=0
enica=0
r_count=0
r_desetica=0
r_enica=0
############################# freq = 1. Simulacije brez intermediate.
r_freq02=5000
r_freq01=5000
############################# Ce bom spet zagnal DeltaMU=20, moram uporabit isti Chap.exe
for temperature in 1.0
  do
for eps_ratio in 1.0;
  do
  for Nchap_ratio in 0.0
    do
    for MU in 6.41 6.40 6.31 6.3 6.21 6.2 6.11 6.1 6.01 6.00 5.91 5.90 5.81 5.80 5.71 5.70 5.61 5.60 5.51 5.50 5.41 5.40 5.31 5.30 5.21 5.20 5.11 5.10 5.01 5.00 4.91 4.90 4.81 4.80 4.71 4.70 4.61 4.60 4.51 4.50 4.41 4.40 4.31 4.30 4.21 4.20 4.11 4.10 4.01 4.00 3.91 3.90 3.81 3.80 3.71 3.70 3.61 3.60 3.51 3.50 3.41 3.40 3.31 3.30 3.21 3.20 3.11 3.10 3.01 3.00 2.91 2.90 2.81 2.80 2.71 2.70 2.61 2.60 2.51 2.50 2.41 2.40 2.31 2.30 2.21 2.20 2.11 2.10 2.01 2.00 1.91 1.90 1.81 1.80 1.71 1.70
      do
      for NSEED in 666;
        do
        for freq02 in 50000;
          do
          for chap_length in 3.0
            do
	    for betabeta in 60.0
	      do
          let "count+=1"
              let "enica+=1"
              if [ $enica -eq 10 ]
                then
                let "desetica+=1"
                let "enica=0"
              fi
              if [ $desetica -eq 10 ]
                then
                let "stotica+=1"
                let "desetica=0"
              fi
if [ $count -ge 999 ] && [ $count -le 0 ]
   then
   pwd
   pwd
   pwd
else
if [ `expr $count % 4` -eq 0 ]
  then
	      ndir=$stotica$desetica$enica'eqsim'$freq02''$MU'_'$Nchap_ratio'_eps'$eps_ratio'_temp'$temperature
              cd $simulation_folder'/'$ndir
              cp $master_folder'/kompiliranje/'last.exe .
              pwd > list
              cat list
              ./last.exe list 1
              rm -r $r_desetica'0rate_sim000'
              mkdir -v $r_desetica'0rate_sim000'
              cp $master_folder'/'qsub_master_rate.sh $master_folder'/'rate_simulations.sh $master_folder'/'input_master_rate.in $master_folder'/kompiliranje/'temp_depend.c $simulation_folder'/'$ndir'/'$r_desetica'0rate_sim000/'
                  let "r_count=0"
                  let "r_enica=0"
                  for r_NSEED in 111 135 222 333 444 555 666 777 888
                    do
                    let "r_count+=1"
                    let "r_enica+=1"
                    if [ $r_enica -eq 10 ]
                      then
                      let "r_desetica+=1"
                      let "r_enica=0"
                    fi
                    cd $simulation_folder'/'$ndir
                    ndir_rate=$r_desetica$r_enica'rate_sim'$r_NSEED
                  #  if [ $r_enica -eq 1 ] || [ $r_enica -eq 2 ] || [ $r_enica -eq 3 ] || [ $r_enica -eq 4 ] || [ $r_enica -eq 5 ]
                    if [ $r_enica -eq 6 ] || [ $r_enica -eq 7 ] || [ $r_enica -eq 8 ] || [ $r_enica -eq 9 ]
                      then
                      rm -r $ndir_rate
                      mkdir -v $ndir_rate
    
                         cd $master_folder
                         cat input_master_rate.in | sed -e 's/freq02/'$r_freq02'/' | sed -e 's/freq01/'$r_freq01'/' | sed -e 's/MU/'$MU'/' | sed -e 's/Nchap_ratio/'$Nchap_ratio'/' | sed -e 's/NSEED/'$r_NSEED'/' | sed -e 's/eps_chap_fibril_ratio/'$eps_ratio'/' | sed -e 's/chap_Length/'$chap_length'/' | sed -e 's/TEMPERATURE/'$temperature'/' | sed -e 's/BETABETA/'$betabeta'/' > input_local.in
                         if (( $(echo "$MU > 5.5" |bc -l) )) 
                           then
                             cat qsub_master_rate.sh | sed -e 's/JOBNAME11/rate_c'$stotica$desetica'0'$r_desetica$r_enica'_'$Nchap_ratio'_'$chap_length'/' | sed -e 's/LENGTH/l1/' | sed -e 's/HOURS/168/' > qsub_local_rate.sh
			 elif (( $(echo "$MU > 4.5" |bc -l) ))
			   then
                             cat qsub_master_rate.sh | sed -e 's/JOBNAME11/rate_c'$stotica$desetica'0'$r_desetica$r_enica'_'$Nchap_ratio'_'$chap_length'/' | sed -e 's/LENGTH/l1/' | sed -e 's/HOURS/168/' > qsub_local_rate.sh
                         elif (( $(echo "$MU >= 3.0 " |bc -l) ))
                           then
                             cat qsub_master_rate.sh | sed -e 's/JOBNAME11/rate_c'$stotica$desetica'0'$r_desetica$r_enica'_'$Nchap_ratio'_'$chap_length'/' | sed -e 's/LENGTH/h1/' | sed -e 's/HOURS/240/' > qsub_local_rate.sh
                         elif (( $(echo "$MU >= 0.5 " |bc -l) ))
                           then
                             cat qsub_master_rate.sh | sed -e 's/JOBNAME11/rate_c'$stotica$desetica'0'$r_desetica$r_enica'_'$Nchap_ratio'_'$chap_length'/' | sed -e 's/LENGTH/h1/' | sed -e 's/HOURS/336/' > qsub_local_rate.sh
			 else 
			   echo "EROOOOORRRR!!!"
			 fi
                         mv input_local.in qsub_local_rate.sh $simulation_folder'/'$ndir'/'$ndir_rate
                         cp Temp.exe $simulation_folder'/'$ndir'/'$ndir_rate
                      
                       cd $simulation_folder'/'$ndir'/'$ndir_rate
                         qsub qsub_local_rate.sh
                       cd ..
                     fi

                  done
                  cd ..
  fi
fi
	      done
	    done
  	  done
        done
      done                  
    done
  done
done
